<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.path.journal-directory" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="path-feature,relative-to"/>
        <elem name="op-params-mapping" value="path,relative-to"/>
        <elem name="addr-params" value="profile,subsystem,server,path"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="server" feature-id="true"/>
        <param name="path" feature-id="true" default="journal-directory"/>
        <param name="relative-to" nillable="true" stability="default"/>
        <param name="path-feature" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>